apiVersion: tekton.dev/v1
kind: PipelineRun
metadata:
  annotations:
    chains.tekton.dev/signed: "true"
    results.tekton.dev/record: default/results/8453f2d3-0d62-4b6a-859a-45c4396ad847/records/8453f2d3-0d62-4b6a-859a-45c4396ad847
    results.tekton.dev/result: default/results/8453f2d3-0d62-4b6a-859a-45c4396ad847
    results.tekton.dev/stored: "true"
  creationTimestamp: "2026-03-10T09:10:52Z"
  finalizers:
  - chains.tekton.dev/pipelinerun
  - results.tekton.dev/pipelinerun
  generation: 1
  labels:
    kueue.x-k8s.io/priority-class: tekton-kueue-default
    kueue.x-k8s.io/queue-name: pipelines-queue
  name: buildah-run
  namespace: default
  resourceVersion: "2109284"
  uid: 8453f2d3-0d62-4b6a-859a-45c4396ad847
spec:
  managedBy: kueue.x-k8s.io/multikueue
  pipelineRef:
    name: buildah-pipeline
  taskRunTemplate:
    serviceAccountName: pipeline
  timeouts:
    pipeline: 10m0s
  workspaces:
  - name: source
    persistentVolumeClaim:
      claimName: shared-pvc
status:
  completionTime: "2026-03-10T11:16:58Z"
  conditions:
  - lastTransitionTime: "2026-03-10T11:16:58Z"
    message: 'Error retrieving pipeline for pipelinerun default/buildah-run: error
      when getting Pipeline for PipelineRun buildah-run: tekton client cannot get
      pipeline buildah-pipeline from local cluster: pipelines.tekton.dev "buildah-pipeline"
      not found'
    reason: CouldntGetPipeline
    status: "False"
    type: Succeeded
  startTime: "2026-03-10T11:16:58Z"
